QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Get full product taxonomy tree

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    refreshstringqueryNoSend false when using server cache is fine
    Responses

    200
    Expected data returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    categoriesarray
    categories[].idstring
    categories[].namestring
    familiesarray
    families[].idstring
    families[].categoryNamestring
    families[].categoryIdstring
    families[].namestring
    typesarraySame shape as SysProductTypeBean, except `category` and `family` are `null` here (only `categoryId`/`familyId` are populated).
    types[].namestring
    types[].categorystring
    types[].categoryIdstring
    types[].familystring
    types[].familyIdstring
    types[].productTypeIdstring
    types[].typestring
    types[].maxNbOfPcsinteger
    types[].maxNbOfRefsinteger
    types[].maxNbOfPtsinteger
    {
      "message": null,
      "content": {
        "categories": [
          {
            "id": "bigCat1",
            "name": "Electrical & Electronic products"
          },
          {
            "id": "bigCat2",
            "name": "Homeware, Gardenware"
          }
        ],
        "families": [
          {
            "id": "bigCat8_s6",
            "categoryName": null,
            "categoryId": "bigCat8",
            "name": "Plastic food containers"
          },
          {
            "id": "bigCat6_s7",
            "categoryName": null,
            "categoryId": "bigCat6",
            "name": "Home textile "
          }
        ],
        "types": [
          {
            "name": "Scallops / clams",
            "category": null,
            "categoryId": "bigCat8",
            "family": null,
            "familyId": "bigCat8_s103",
            "productTypeId": "bigCat8_s103_t11",
            "type": "General",
            "maxNbOfPcs": 50,
            "maxNbOfRefs": 0,
            "maxNbOfPts": 0
          }
        ]
      }
    }

    Content-Type: application/json

    GET
    /parameter/v2/product-tree
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": { "categories": [ { "id": "bigCat1", "name": "Electrical & Electronic products" }, { "id": "bigCat2", "name": "Homeware, Gardenware" } ], "families": [ { "id": "bigCat8_s6", "categoryName": null, "categoryId": "bigCat8", "name": "Plastic food containers" }, { "id": "bigCat6_s7", "categoryName": null, "categoryId": "bigCat6", "name": "Home textile " } ], "types": [ { "name": "Scallops / clams", "category": null, "categoryId": "bigCat8", "family": null, "familyId": "bigCat8_s103", "productTypeId": "bigCat8_s103_t11", "type": "General", "maxNbOfPcs": 50, "maxNbOfRefs": 0, "maxNbOfPts": 0 } ] } }